%define majver %(echo %version | cut -d. -f1-2)

Name:          frameworkintegration
Version:       5.103.0
Release:       1mamba
Summary:       KDE Frameworks 5 Integration of Qt application with KDE workspaces
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        http://download.kde.org/stable/frameworks/%{majver}/frameworkintegration-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libappstream-qt-devel
BuildRequires: libattica5-devel
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libpackagekitqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: libpackagekitqt5-devel >= 1.0.1-1mamba
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules

%description
KDE Frameworks 5 Integration of Qt application with KDE workspaces.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

#% find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files
%defattr(-,root,root)
%dir %{_kde5_datadir}/kf5/infopage
%{_kde5_datadir}/kf5/infopage/*
%{_datadir}/knotifications5/plasma_workspace.notifyrc

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Style.so.*
%{_libdir}/qt5/plugins/kf5/FrameworkIntegrationPlugin.so
%{_libexecdir}/kf5/kpackagehandlers/*handler
%doc LICENSES

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/KStyle
%{_kde5_includedir}/KStyle/*.h
%dir %{_kde5_includedir}/FrameworkIntegration
%{_kde5_includedir}/FrameworkIntegration/frameworkintegration_version.h
%{_kde5_includedir}/KStyle/KStyle
%{_kde5_libdir}/cmake/KF5FrameworkIntegration/KF5FrameworkIntegration*.cmake
%{_kde5_libdir}/libKF5Style.so

%changelog
* Tue Feb 14 2023 Automatic Build System <autodist@mambasoft.it> 5.103.0-1mamba
- automatic version update by autodist

* Tue Jan 17 2023 Automatic Build System <autodist@mambasoft.it> 5.102.0-1mamba
- automatic version update by autodist

* Mon Dec 12 2022 Automatic Build System <autodist@mambasoft.it> 5.101.0-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 5.100.0-1mamba
- automatic version update by autodist

* Mon Oct 17 2022 Automatic Build System <autodist@mambasoft.it> 5.99.0-1mamba
- automatic version update by autodist

* Thu Sep 15 2022 Automatic Build System <autodist@mambasoft.it> 5.98.0-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 5.97.0-1mamba
- automatic version update by autodist

* Mon Jul 11 2022 Automatic Build System <autodist@mambasoft.it> 5.96.0-1mamba
- automatic version update by autodist

* Fri Jun 17 2022 Automatic Build System <autodist@mambasoft.it> 5.95.0-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 5.94.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2022 Automatic Build System <autodist@mambasoft.it> 5.93.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2022 Automatic Build System <autodist@mambasoft.it> 5.92.0-1mamba
- automatic version update by autodist

* Fri Feb 18 2022 Automatic Build System <autodist@mambasoft.it> 5.91.0-1mamba
- automatic version update by autodist

* Mon Jan 10 2022 Automatic Build System <autodist@mambasoft.it> 5.90.0-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 5.89.0-1mamba
- automatic version update by autodist

* Sun Nov 14 2021 Automatic Build System <autodist@mambasoft.it> 5.88.0-1mamba
- automatic version update by autodist

* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Mon Sep 13 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Mon May 10 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sun Apr 11 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Tue Nov 17 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Wed Jul 15 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Wed Jan 15 2020 Automatic Build System <autodist@mambasoft.it> 5.66.0-1mamba
- automatic version update by autodist

* Wed Dec 25 2019 Automatic Build System <autodist@mambasoft.it> 5.65.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 5.64.0-1mamba
- automatic version update by autodist

* Sun Oct 20 2019 Automatic Build System <autodist@mambasoft.it> 5.63.0-1mamba
- automatic version update by autodist

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 5.62.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 5.61.0-1mamba
- automatic version update by autodist

* Wed Jul 24 2019 Automatic Build System <autodist@mambasoft.it> 5.60.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Sat May 25 2019 Automatic Build System <autodist@mambasoft.it> 5.58.2-1mamba
- automatic version update by autodist

* Sat May 18 2019 Automatic Build System <autodist@mambasoft.it> 5.58.1-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Thu Aug 23 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.43.0-2mamba
- rebuilt by autoport with build requirements: libpackagekitqt5-devel>=1.0.1-1mamba

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 30 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Tue Aug 08 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 5.28.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Mon Sep 26 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Tue Aug 23 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Wed Jul 20 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Thu May 19 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.21.0-1mamba
- update to 5.21.0

* Tue Mar 08 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.19.0-1mamba
- package created using the webbuild interface
